Processing: multiple input widgets gets populated with wrong list of inputs after a first run

2018-08-15 12:01 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: Processing/Core

Affected QGIS version:3.3(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27455

Description

Steps to replicate (example, possibly affecting also other tools):

1) add 3 raster layers with the aim to create a mosaic

2) open the gdal merge tool, select the inputs (in the multiple inputs widget) and run the tool

3) runs ends, keep the dialog open

4) try run again, you'll get a "Incorrect parameter value for INPUT" error, but as the dialog wasn't closed then it should be all ok for a

second round

5) check the (multiple) inputs widget, you'll notice that the list of inputs is now duplicated leaving the user guessing why and what inputs

should be selected

screenshots attached

History

#1 - 2018-08-15 09:23 PM - Loren Amelang

- File Multiple Selection.JPG added

Just tried this again, with the multiple inputs widget drug large enough to see the full list (it defaults to 1/4 that size in my screen scaled system). As you

saw, on a repeated try, it keeps the original selection at the bottom of the new list. If I leave those selected, I get the error. If I de-select those and select the

upper versions, it does not get that error.

#2 - 2019-01-21 10:35 AM - Victor Olaya

might be fixed with this:

https://github.com/qgis/QGIS/commit/e546129f5c6745e673052c2d00c36c6d057849de#diff-58f63812eecf522a6e87c181d9b50034

can you try on current master?

#3 - 2019-01-21 10:51 PM - Loren Amelang

- File Symbology of all black.JPG added

- File Information - all black.JPG added

Tried it on my 3.4.3 version. The reported error no longer appears, the second merge works just like the first.

2025-04-26 1/2

https://github.com/qgis/QGIS/commit/e546129f5c6745e673052c2d00c36c6d057849de#diff-58f63812eecf522a6e87c181d9b50034


But...  Both result layers are pure black, while the inputs are grayscale elevation DEMs. They have the proper location and size, at least on the screen. In

the "Information - all black.JPG" screenshot, the "Extent" looks right, but the "Statistics" and "Spatial Extent" are all zero. In "Information - all black.JPG" you

can see the two Merged layers, the black square, and the display settings. I played with most of them, but still only black - apparently the merged data is

really all zeros.

And...  QGIS would not move to the top of my window stack over my mail client EverDesk. Usually I have to manually bring new apps forward after opening

them, but nothing would make QGIS appear over EverDesk. I've seen that happen to Libre Office, so I wasn't shocked. But QGIS can't appear over my

Vivaldi browser! Never seen that! And it can't appear over its own sub windows, like the Information windows in the screenshots. I'm pretty sure I used to

be able to keep those open partly behind the main window...  Windows 10 is out of control sometimes, and I don't know how to dig into this window stack

mess.

I guess those are new issues, but probably way obscure.

#4 - 2019-01-21 11:12 PM - Loren Amelang

- File GDAL - numpy is 0xa error.txt added

Aha! I'd left the merge window open... And it says:

RuntimeError: module compiled against API version 0xc but this version of numpy is 0xa

Wrong numpy might well return all zeros. This QGIS was just updated days ago by starting OSGeo4W and its update facility. Pretty much let it use default

settings. No errors that I noticed.

PIP sees numpy            1.10.1

But are you using the same python as my system install?

C:\Users\loren>pip search numpy

numpy (1.16.0)                         - NumPy is the fundamental package for array computing with Python.

  INSTALLED: 1.10.1

  LATEST:    1.16.0

How do I fix this without confusing some programs?

#5 - 2019-01-22 07:35 AM - Alexander Bruy

- Status changed from Open to Closed

- Resolution set to fixed/implemented

Closing as original bug is fixed. Please open another ticket for new issues.
